import request from '@/utils/request'

export function instanceList(params) {
  return request({
    url: '/vehicle/instance/list',
    method: 'post',
    data: params
  })
}

export function instanceData(vin) {
  return request({
    url: `/vehicle/instance/data/${vin}`,
    method: 'GET'
  })
}

export function editStatus(vin, statusKey, statusValue) {
  return request({
    url: `/vehicle/instance/status/${vin}/${statusKey}/${statusValue}`,
    method: 'PUT'
  })
}

/**
 * 客户端连接
 * @param vin
 * @returns {*}
 */
export function instanceClientInit(vin) {
  return request({
    url: `/vehicle/instance/client/init/${vin}`,
    method: 'post'
  })
}

/**
 * 客户端关闭
 * @param vin
 * @returns {*}
 */
export function instanceClientClose(vin) {
  return request({
    url: `/vehicle/instance/client/close/${vin}`,
    method: 'post'
  })
}

/**
 * 客户端关闭
 * @param vin
 * @returns {*}
 */
export function instanceCheckPosition(vin, positionCode) {
  return request({
    url: `/vehicle/instance/position/check`,
    method: 'post',
    data: { 'vin': vin, 'positionCode': positionCode }
  })
}

/**
 * 车辆报文控制
 * @param vin
 * @returns {*}
 */
export function instanceMsg(vin, msgCode) {
  return request({
    url: `/vehicle/instance/msg`,
    method: 'post',
    data: { 'vin': vin, 'msgCode': msgCode}
  })
}
/**
 * 车辆档位
 * @param vin
 * @returns {*}
 */
export function instanceGear(vin, gear) {
  return request({
    url: `/vehicle/instance/gear`,
    method: 'post',
    data: { 'vin': vin, 'gear': gear}
  })
}
